## NAME

v.what.vect - Uploads vector values at positions of vector points to the table

## KEYWORDS

vector, database, attribute table

## SYNOPSIS

v.what.vect
v.what.vect help
v.what.vect vector=string qvector=string [layer=integer] [qlayer=integer] column=string qcolumn=string

### Parameters:

vector=string
  vector map for which to edit attribute table
qvector=string
  vector map to be queried
layer=integer
  Layer where to add column
  Default: 1
qlayer=integer
  Query layer
  Default: 1
column=string
  Column name (will be updated by qvector values)
qcolumn=string
  Query column name

## DESCRIPTION

v.what.vect is used to transfer vector attributes from a query vector map into a vector point map at the point positions. The script is based on v.distance.

## NOTES

The upload column into which the query results are stored must be present in the vector point map or added with v.db.addcol.

This module only uploads attributes which exist at the exact positions of the input points. For a "nearest feature" fit use v.distance instead.

In case of a multipoint input map (several points having the same category number), it can happen that the query result is NULL if the same category number falls into different polygons.

## EXAMPLE

In this example, the 'archsites' point map in the Spearfish location is copied to the current mapset, a new attribute column is added and the owner names from the 'fields' polygon map are transferred to the 'myarchsites' map at point positions:

    g.copy vect=archsites,myarchsites
    v.db.addcol myarchsites col="owner varchar(25)"
    v.what.vect myarchsites qvect=fields column=owner qcolumn=label
    # verification:
    v.db.select myarchsites

## SEE ALSO

v.db.addcol, v.db.select, v.distance, v.what.rast

## AUTHOR

Markus Neteler

Last changed: $Date: 2006/11/15 15:22:07 $

Main index - vector index - Full index